public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-libs/openh264/
Date: Tue,  7 Sep 2021 18:47:18 +0000 (UTC)	[thread overview]
Message-ID: <1631040431.3aab165846f169f8132d37c0b04c2ccdaa6443cb.juippis@gentoo> (raw)

commit:     3aab165846f169f8132d37c0b04c2ccdaa6443cb
Author:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
AuthorDate: Sun Sep  5 09:37:07 2021 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Tue Sep  7 18:47:11 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3aab1658

media-libs/openh264: add 2.1.1_p20190331

 - package snapshot of gmp-api on top of openh264-2.1.1, since the
   latest gmp-api release is from 2015.

Closes: https://bugs.gentoo.org/797388
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>
Closes: https://github.com/gentoo/gentoo/pull/22219

 media-libs/openh264/Manifest                       |   1 +
 .../openh264/openh264-2.1.1_p20190331.ebuild       | 118 +++++++++++++++++++++
 2 files changed, 119 insertions(+)

diff --git a/media-libs/openh264/Manifest b/media-libs/openh264/Manifest
index cd3052a8968..58b333d9f9e 100644
--- a/media-libs/openh264/Manifest
+++ b/media-libs/openh264/Manifest
@@ -1,2 +1,3 @@
+DIST gmp-api-Firefox39-e3935759360861812d33cbd3b713e25f1de1ecb5.tar.gz 10440 BLAKE2B 92379258f2664778baee50b99573dbeae50e723a3f7605c62a4ca3aedd9129fbd1991d7b3ead1b8a3689e71f783ded0b15dca5e6d910345c95a6f28898bbdda3 SHA512 85e4b58cc66072fad2b6dbaa65a955a8931f73eb3664f05ddca65157ac5c2547225910c36b4507d88179a95cfb35a5aff6edadd3c0fa5418529c80ae6d736f44
 DIST gmp-api-Firefox39.tar.gz 16363 BLAKE2B dd92d851c4f09476f1e394fd42c5e40ea707ac6dcabc3ceee62400eb998f1c98c781fbde581253ddd8f45b7447a0c7fdc61e74ef60b6fc3397cd4bf8995154ab SHA512 da6f05c5f0540be8d4f48d25b947b21214d34a6eed365ee5fa4a38c69f77325add4be902e0dcd9d06be43914a3518ded7e4f2289dab034a24325f0bff201692a
 DIST openh264-2.1.1.tar.gz 60239654 BLAKE2B d541fa686b1eb8352dbb4088fc4ef508f947660815c86b2bb7db841c927b7b9f763d7fe793f0fa1511620dbdc506c20cd5ad52740140337aa12b8c31b857a8e6 SHA512 f9c2925fa902c6278da40f68b967d25e62db7ce3541e8f5e7a0ee174204b6ecc7026b5853885c361f48ca01d71bacd585fb5b91f01f0c054ece80943f1afcf79

diff --git a/media-libs/openh264/openh264-2.1.1_p20190331.ebuild b/media-libs/openh264/openh264-2.1.1_p20190331.ebuild
new file mode 100644
index 00000000000..23354673eca
--- /dev/null
+++ b/media-libs/openh264/openh264-2.1.1_p20190331.ebuild
@@ -0,0 +1,118 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs multilib-minimal
+
+MOZVER=39
+MY_COMMIT="e3935759360861812d33cbd3b713e25f1de1ecb5"
+DESCRIPTION="Cisco OpenH264 library and Gecko Media Plugin for Mozilla packages"
+HOMEPAGE="https://www.openh264.org/"
+SRC_URI="https://github.com/cisco/${PN}/archive/v${PV/_p*/}.tar.gz -> ${P/_p*/}.tar.gz
+	https://github.com/mozilla/gmp-api/archive/${MY_COMMIT}.tar.gz -> gmp-api-Firefox${MOZVER}-${MY_COMMIT}.tar.gz"
+LICENSE="BSD"
+SLOT="0/6" # subslot = openh264 soname version
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="cpu_flags_arm_neon cpu_flags_x86_avx2 +plugin utils"
+
+RESTRICT="bindist test"
+
+BDEPEND="
+	abi_x86_32? ( dev-lang/nasm )
+	abi_x86_64? ( dev-lang/nasm )"
+
+DOCS=( LICENSE CONTRIBUTORS README.md )
+
+PATCHES=( "${FILESDIR}/${PN}-2.1.0-pkgconfig-pathfix.patch" )
+
+S="${WORKDIR}/${PN}-${PV/_p*/}"
+
+src_prepare() {
+	default
+
+	sed -i -e 's/ | generate-version//g' Makefile || die
+	sed -e 's|$FULL_VERSION|""|g' codec/common/inc/version_gen.h.template > \
+		codec/common/inc/version_gen.h
+
+	multilib_copy_sources
+}
+
+multilib_src_configure() {
+	ln -s "${WORKDIR}"/gmp-api-${MY_COMMIT} gmp-api || die
+}
+
+emakecmd() {
+	CC="$(tc-getCC)" CXX="$(tc-getCXX)" LD="$(tc-getLD)" AR="$(tc-getAR)" \
+	emake V=Yes CFLAGS_M32="" CFLAGS_M64="" CFLAGS_OPT="" \
+		PREFIX="${EPREFIX}/usr" \
+		LIBDIR_NAME="$(get_libdir)" \
+		SHAREDLIB_DIR="${EPREFIX}/usr/$(get_libdir)" \
+		INCLUDES_DIR="${EPREFIX}/usr/include/${PN}" \
+		HAVE_AVX2=$(usex cpu_flags_x86_avx2 Yes No) \
+		ARCH="$(tc-arch)" \
+		$@
+}
+
+multilib_src_compile() {
+	local myopts="ENABLE64BIT=No"
+	case "${ABI}" in
+		s390x|alpha|*64) myopts="ENABLE64BIT=Yes";;
+	esac
+
+	if use arm; then
+		myopts+=" USE_ASM=$(usex cpu_flags_arm_neon Yes No)"
+	fi
+
+	emakecmd ${myopts}
+	use plugin && emakecmd ${myopts} plugin
+}
+
+multilib_src_install() {
+	emakecmd DESTDIR="${D}" install-shared
+
+	if use utils; then
+		newbin h264enc openh264enc
+		newbin h264dec openh264dec
+	fi
+
+	if use plugin; then
+		local plugpath="${ROOT}/usr/$(get_libdir)/nsbrowser/plugins/gmp-gmp${PN}/system-installed"
+		insinto "${plugpath}"
+		doins libgmpopenh264.so* gmpopenh264.info
+		echo "MOZ_GMP_PATH=\"${plugpath}\"" >"${T}"/98-moz-gmp-${PN}
+		doenvd "${T}"/98-moz-gmp-${PN}
+
+		cat <<PREFEOF >"${T}"/${P}.js
+pref("media.gmp-gmp${PN}.autoupdate", false);
+pref("media.gmp-gmp${PN}.version", "system-installed");
+PREFEOF
+
+		insinto /usr/$(get_libdir)/firefox/defaults/pref
+		newins "${T}"/${P}.js ${PN}-${PV/_p*/}.js
+
+		insinto /usr/$(get_libdir)/seamonkey/defaults/pref
+		newins "${T}"/${P}.js ${PN}-${PV/_p*/}.js
+	fi
+}
+
+pkg_postinst() {
+	if use plugin; then
+		if [[ -z ${REPLACING_VERSIONS} ]]; then
+			elog "Please restart your login session, in order for the session's environment"
+			elog "to include the new MOZ_GMP_PATH variable."
+			elog ""
+		fi
+		elog "This package attempts to override the Mozilla GMPInstaller auto-update process,"
+		elog "however even if it is not successful in doing so the profile-installed plugin"
+		elog "will not be used unless this package is removed.  This package will take precedence"
+		elog "over any gmp-gmpopenh264 that may be installed in a user's profile."
+		elog ""
+	fi
+
+	if use utils; then
+		elog "Utilities h264enc and h264dec are installed as openh264enc and openh264dec"
+		elog "to avoid file collisions with media-video/h264enc"
+		elog ""
+	fi
+}


             reply	other threads:[~2021-09-07 18:47 UTC|newest]

Thread overview: 125+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-09-07 18:47 Joonas Niilola [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-23  9:31 [gentoo-commits] repo/gentoo:master commit in: media-libs/openh264/ Joonas Niilola
2025-02-23  0:11 Jakov Smolić
2025-02-22 20:52 Sam James
2025-02-22 20:52 Sam James
2025-02-13  7:01 Joonas Niilola
2025-02-08  8:00 Joonas Niilola
2025-01-04 16:17 Sam James
2025-01-04 16:17 Sam James
2025-01-02 14:00 Sam James
2025-01-02  6:43 Joonas Niilola
2025-01-02  6:43 Joonas Niilola
2024-11-13 11:45 Joonas Niilola
2024-04-01  6:47 Joonas Niilola
2024-03-19  9:16 Sam James
2024-03-18  7:21 Sam James
2024-03-18  6:43 Joonas Niilola
2024-03-18  5:50 Joonas Niilola
2024-02-03  8:27 Joonas Niilola
2024-02-02  4:21 Ionen Wolkens
2024-01-20 18:35 Arthur Zamarin
2024-01-20 18:35 Arthur Zamarin
2024-01-20 18:35 Arthur Zamarin
2024-01-20 14:05 Joonas Niilola
2024-01-20 14:05 Joonas Niilola
2023-12-08  6:50 Joonas Niilola
2023-11-30  5:58 Arthur Zamarin
2023-11-25  8:55 Joonas Niilola
2023-10-02 10:48 Sam James
2023-10-02 10:14 Arthur Zamarin
2023-10-02 10:14 Arthur Zamarin
2023-10-02  6:35 Joonas Niilola
2023-10-02  6:35 Joonas Niilola
2023-10-02  6:27 Joonas Niilola
2023-08-31  7:07 Joonas Niilola
2023-08-26  4:37 Joonas Niilola
2023-07-27  7:43 Joonas Niilola
2023-04-08 17:56 Arthur Zamarin
2023-01-30  6:16 Joonas Niilola
2023-01-15 15:12 Sam James
2023-01-15 15:12 Sam James
2023-01-15 15:12 Sam James
2023-01-15  8:48 Georgy Yakovlev
2022-11-29 15:58 WANG Xuerui
2022-10-25 11:35 Joonas Niilola
2022-10-25  9:49 Joonas Niilola
2022-10-25  9:45 Arthur Zamarin
2022-09-21 10:26 Joonas Niilola
2022-09-21  6:50 Joonas Niilola
2022-09-09  5:26 Joonas Niilola
2022-09-02 10:41 Arthur Zamarin
2022-09-02 10:41 Arthur Zamarin
2022-09-02  8:37 Arthur Zamarin
2022-09-02  6:37 Arthur Zamarin
2022-09-02  6:37 Arthur Zamarin
2022-09-02  6:09 Joonas Niilola
2022-09-02  6:09 Joonas Niilola
2022-03-20  6:22 Joonas Niilola
2022-03-12 12:01 Arthur Zamarin
2022-03-07  7:28 Agostino Sarubbo
2022-03-06 17:30 Joonas Niilola
2022-03-06 17:30 Joonas Niilola
2022-03-06 17:30 Joonas Niilola
2022-03-06  9:45 Sam James
2022-03-06  9:45 Sam James
2022-03-06  8:46 Sam James
2022-01-31 15:11 Joonas Niilola
2022-01-31 15:11 Joonas Niilola
2022-01-27 13:40 Joonas Niilola
2022-01-15 11:46 Joonas Niilola
2022-01-07 18:28 Joonas Niilola
2022-01-07 17:46 Joonas Niilola
2021-11-11  2:23 Sam James
2021-11-11  2:23 Sam James
2021-11-11  2:22 Sam James
2021-11-11  2:22 Sam James
2021-11-11  2:22 Sam James
2021-11-10 22:26 Jakov Smolić
2021-11-10 18:49 Arthur Zamarin
2021-06-21 21:38 Jonas Stein
2020-07-22 20:03 Sergei Trofimovich
2020-07-17 15:17 Agostino Sarubbo
2020-07-17 15:12 Agostino Sarubbo
2020-07-17 15:09 Agostino Sarubbo
2020-07-17 12:49 Sam James
2020-07-17  7:21 Agostino Sarubbo
2020-07-17  7:02 Agostino Sarubbo
2020-07-15 20:18 Sergei Trofimovich
2020-07-06 19:39 Thomas Deutschmann
2020-07-06 19:39 Thomas Deutschmann
2020-07-03 16:15 Thomas Deutschmann
2020-06-30 13:53 Thomas Deutschmann
2020-06-10  1:18 Thomas Deutschmann
2018-04-16 20:43 Sergei Trofimovich
2018-03-06 22:35 Sergei Trofimovich
2018-01-15 14:44 Ian Stakenvicius
2018-01-15 14:44 Ian Stakenvicius
2017-09-26 22:21 Sergei Trofimovich
2017-09-26  8:55 Sergei Trofimovich
2017-09-26  8:55 Sergei Trofimovich
2017-08-31  1:26 Matt Turner
2017-08-29 11:48 Alexis Ballier
2017-08-18 20:10 Thomas Deutschmann
2017-08-08  4:33 Markus Meier
2017-07-28 14:54 Agostino Sarubbo
2017-07-28  7:41 Sergei Trofimovich
2017-06-16  9:36 Alexis Ballier
2017-06-10 20:14 Sergei Trofimovich
2017-06-10 20:14 Sergei Trofimovich
2017-05-11 18:18 Ian Stakenvicius
2017-04-05 14:07 Tobias Klausmann
2017-03-02 15:52 Tobias Klausmann
2017-02-23 12:35 Michael Weber
2017-02-22 13:22 Michael Weber
2017-02-22 13:19 Jeroen Roovers
2017-02-20 19:38 Michael Weber
2017-02-18  8:51 Jeroen Roovers
2017-02-17 17:28 Markus Meier
2017-02-15 15:56 Agostino Sarubbo
2017-02-15 15:05 Agostino Sarubbo
2017-02-05 12:46 Jeroen Roovers
2017-02-05 11:59 Jeroen Roovers
2017-01-31 14:11 Alexis Ballier
2016-02-17 17:44 Ian Stakenvicius
2015-10-16 10:20 Alexis Ballier

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1631040431.3aab165846f169f8132d37c0b04c2ccdaa6443cb.juippis@gentoo \
    --to=juippis@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox